<?php
/**
 * /subs/loader.php
 * @version 1.1
 * @desc Subsite loader
 * @author Fándly Gergő Zoltán (gergo@systemtest.tk, systemtest.tk)
 * @copy 2018 Fándly Gergő Zoltán
 * License:
    Systemtest.tk website's.
    Copyright (C) 2018  Fándly Gergő Zoltán

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 **/

if(!isset($BOM)){
    require_once("../config/config.php");
}

function loadPart($view, $backend=false){
    global $lm, $lang, $langcode, $langstr, $db, $BOM, $config, $sub;
    if($view!="" && $view!="projects" && $view!="repos" && $view!="blog" && $view!="about" && $view!="userarea" && $view!="products" && $view!="contact"){
        functions::setError(404);
        $view="";
    }
    
    if($backend){
        include("parts/".$view."_backend.php");
    }
    else{
        include("parts/".$view.".php");
    }
}

if(isset($_GET['load'])){
    loadPart($_GET['load'], isset($_GET['backend']));
}
